summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorMatthias Hopf <mhopf@suse.de>2009-08-03 17:17:44 +0200
committerMatthias Hopf <mhopf@suse.de>2009-08-03 17:17:44 +0200
commitda5b9c2fb0338e616f5376b6e40b4531fa3d7e1c (patch)
treeff3fda10bf848dc7ded063b3bb381dde261198ed /autogen.sh
parent9cabfb076b874f9ab17bb4d219ac492d55e77abb (diff)
Fix autoconf issues.
Apparently, autoconf 2.64 has "interesting" issues with spaces in double quoted strings, as used in configure.ac. Change that to parantheses. Based on a patch by Jens Lody <radeonhd@jenslody.de>. Additionally, autogen.sh didn't --force so far.
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/autogen.sh b/autogen.sh
index 2ef5983..5216615 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -4,10 +4,10 @@ srcdir=`dirname "$0"`
test -z "$srcdir" && srcdir=.
ORIGDIR=`pwd`
-cd "$srcdir";
+cd "$srcdir"
rm -rf autom4te.cache
-autoreconf -v --install || exit 1
+autoreconf --force -v --install || exit 1
cd "$ORIGDIR" || exit $?
"$srcdir"/configure --enable-maintainer-mode "$@"